Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.impl.mgmt
Class CachingKeyedDefinitionsFactoryTilesContainer

    java.lang.Object
      org.apache.tiles.impl.BasicTilesContainer
          org.apache.tiles.impl.KeyedDefinitionsFactoryTilesContainer
              org.apache.tiles.impl.mgmt.CachingKeyedDefinitionsFactoryTilesContainer

All Implemented Interfaces:
  AttributeEvaluatorFactoryAware, MutableTilesContainer, TilesContainer

Deprecated. Register different containers using `TilesAccess.setContainer( org.apache.tiles.TilesApplicationContext, org.apache.tiles.TilesContainer, String)` and using `CachingTilesContainer` as container implementation.

    public class CachingKeyedDefinitionsFactoryTilesContainer

extends KeyedDefinitionsFactoryTilesContainer
implements MutableTilesContainer

Container that can be used to store multiple `DefinitionsFactory` instances mapped to different keys, with the addition of being "mutable", i.e. caches (in memory) the definitions registered to it. If a definition is not found in cache, it will revert back to it's definitions factory.

Version:
  $Rev: 797754 $ $Date: 2009-07-25 13:42:03 +0200 (sab, 25 lug 2009) $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tiles.impl.KeyedDefinitionsFactoryTilesContainer
`KeyedDefinitionsFactoryTilesContainer.DefaultKeyExtractor, KeyedDefinitionsFactoryTilesContainer.KeyExtractor`

Field Summary

Fields inherited from class org.apache.tiles.impl.KeyedDefinitionsFactoryTilesContainer
`DEFINITIONS_CONFIG_PREFIX, key2definitionsFactory, keyExtractor`

Fields inherited from class org.apache.tiles.impl.BasicTilesContainer
`DEFINITIONS_CONFIG`

Constructor Summary
`CachingKeyedDefinitionsFactoryTilesContainer()` Deprecated.

Method Summary
`protected Definition` | `getDefinition(java.lang.String definition, TilesRequestContext context)` Deprecated. Returns a definition specifying its name.
`DefinitionsFactory` | `getDefinitionsFactory()` Deprecated. Returns the definitions factory.
`DefinitionsFactory` | `getDefinitionsFactory(java.lang.String key)` Deprecated. Returns a definition factory given its key.
`protected DefinitionManager` | `getOrCreateDefinitionManager(java.lang.String key)` Deprecated. Returns a definition manager if found, otherwise it will create a new one.
`protected DefinitionManager` | `getProperDefinitionManager(java.lang.String key)` Deprecated. Returns a definition manager if found.
`void` | `register(Definition definition, java.lang.Object... requestItems)` Deprecated. Register a new definition with the container.
`protected void` | `register(Definition definition, TilesRequestContext request)` Deprecated. Registers a custom definition.
`void` | `setDefinitionsFactory(DefinitionsFactory definitionsFactory)` Deprecated. Set the definitions factory.
`void` | `setDefinitionsFactory(java.lang.String key, DefinitionsFactory definitionsFactory, java.util.Map<java.lang.String,java.lang.String> initParameters)` Deprecated.

Methods inherited from class org.apache.tiles.impl.KeyedDefinitionsFactoryTilesContainer
`getDefinitionsFactoryKey, getProperDefinitionsFactory, setDefinitionsFactory, setKeyExtractor`

Methods inherited from class org.apache.tiles.impl.BasicTilesContainer
`checkInit, endContext, evaluate, getApplicationContext, getAttributeContext, getContext, getContextFactory, getContextStack, getPreparerFactory, getRequestContextFactory, getResourceNames, getResourceString, getResourceString, init, initializeDefinitionsFactory, isValidDefinition, popContext, prepare, pushContext, render, render, render, render, render, render, renderContext, setApplicationContext, setAttributeEvaluatorFactory, setContextFactory, setPreparerFactory, setRendererFactory, setRequestContextFactory, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.TilesContainer
`endContext, evaluate, getApplicationContext, getAttributeContext, init, isValidDefinition, prepare, render, render, render, renderContext, startContext`

Constructor Detail

### CachingKeyedDefinitionsFactoryTilesContainer

    public CachingKeyedDefinitionsFactoryTilesContainer()

  Deprecated.

Method Detail

### register

    public void register(Definition definition,
                         java.lang.Object... requestItems)

  Deprecated.
  Register a new definition with the container.

  Specified by:
    `register` in interface `MutableTilesContainer`
  Parameters:
    `definition` - The definition to register.
    `requestItems` - the current request objects.

### getDefinition

    protected Definition getDefinition(java.lang.String definition,
                                       TilesRequestContext context)

  Deprecated.
  Returns a definition specifying its name.

  Overrides:
    `getDefinition` in class `KeyedDefinitionsFactoryTilesContainer`
  Parameters:
    `definition` - The name of the definition to find.
    `context` - The request context.
  Returns:
    The definition, if found.

### getDefinitionsFactory

    public DefinitionsFactory getDefinitionsFactory()

  Deprecated.
  Returns the definitions factory.

  Overrides:
    `getDefinitionsFactory` in class `BasicTilesContainer`
  Returns:
    The definitions factory used by this container.

### getDefinitionsFactory

    public DefinitionsFactory getDefinitionsFactory(java.lang.String key)

  Deprecated.
  Returns a definition factory given its key.

  Overrides:
    `getDefinitionsFactory` in class `KeyedDefinitionsFactoryTilesContainer`
  Parameters:
    `key` - The key of the needed definitions factory.
  Returns:
    the definitions factory used by this container. If the key is not valid, the default factory will be returned.

### setDefinitionsFactory

    public void setDefinitionsFactory(DefinitionsFactory definitionsFactory)

  Deprecated.
  Set the definitions factory. This method first ensures that the container has not yet been initialized.

  Overrides:
    `setDefinitionsFactory` in class `BasicTilesContainer`
  Parameters:
    `definitionsFactory` - the definitions factory for this instance.

### setDefinitionsFactory

    @Deprecated
    public void setDefinitionsFactory(java.lang.String key,
                                                 DefinitionsFactory definitionsFactory,
                                                 java.util.Map<java.lang.String,java.lang.String> initParameters)

  Deprecated.

  Set the definitions factory. This method first ensures that the container has not yet been initialized.

  Overrides:
    `setDefinitionsFactory` in class `KeyedDefinitionsFactoryTilesContainer`
  Parameters:
    `key` - The key under which the definitions factory is catalogued.
    `definitionsFactory` - the definitions factory for this instance.
    `initParameters` - The init parameters to configure the definitions factory.

### register

    protected void register(Definition definition,
                            TilesRequestContext request)

  Deprecated.
  Registers a custom definition.

  Parameters:
    `definition` - The definition to register.
    `request` - The request inside which the definition should be registered.

### getOrCreateDefinitionManager

    protected DefinitionManager getOrCreateDefinitionManager(java.lang.String key)

  Deprecated.
  Returns a definition manager if found, otherwise it will create a new one.

  Parameters:
    `key` - The key of the definition manager.
  Returns:
    The needed definition manager.

### getProperDefinitionManager

    protected DefinitionManager getProperDefinitionManager(java.lang.String key)

  Deprecated.
  Returns a definition manager if found.

  Parameters:
    `key` - The key of the definition manager.
  Returns:
    The needed definition manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.